[commit: testsuite] master: Rename some numeric tests: nnnn -> Tnnnn (44dee89)
Ian Lynagh
igloo at earth.li
Sat Jan 26 01:29:12 CET 2013
Repository : ssh://darcs.haskell.org//srv/darcs/testsuite
On branch : master
http://hackage.haskell.org/trac/ghc/changeset/44dee8961cfa075ecb022c6745210ee2652aa1be
>---------------------------------------------------------------
commit 44dee8961cfa075ecb022c6745210ee2652aa1be
Author: Ian Lynagh <ian at well-typed.com>
Date: Fri Jan 25 15:56:17 2013 +0000
Rename some numeric tests: nnnn -> Tnnnn
>---------------------------------------------------------------
tests/ghc-e/should_run/Makefile | 12 ++++++------
tests/ghc-e/should_run/{2228.hs => T2228.hs} | 0
.../ghc-e/should_run/{2228.stdout => T2228.stdout} | 0
tests/ghc-e/should_run/{2636.hs => T2636.hs} | 0
.../ghc-e/should_run/{2636.stderr => T2636.stderr} | 2 +-
tests/ghc-e/should_run/{3890.hs => T3890.hs} | 0
.../ghc-e/should_run/{3890.stdout => T3890.stdout} | 0
tests/ghc-e/should_run/all.T | 8 ++++----
8 files changed, 11 insertions(+), 11 deletions(-)
diff --git a/tests/ghc-e/should_run/Makefile b/tests/ghc-e/should_run/Makefile
index 3596f02..1971004 100644
--- a/tests/ghc-e/should_run/Makefile
+++ b/tests/ghc-e/should_run/Makefile
@@ -18,14 +18,14 @@ ghc-e004:
ghc-e005:
'$(TEST_HC)' $(TEST_HC_OPTS) -ignore-dot-ghci -main-is foo ghc-e005.hs -e ":set prog ghc-e005-prog" -e ":main [\"the\",\"args\"]"; echo $$?
-2228:
- '$(TEST_HC)' $(TEST_HC_OPTS) -ignore-dot-ghci -e ":main" 2228.hs
+T2228:
+ '$(TEST_HC)' $(TEST_HC_OPTS) -ignore-dot-ghci -e ":main" T2228.hs
-2636:
- '$(TEST_HC)' $(TEST_HC_OPTS) -ignore-dot-ghci -e ":main" 2636.hs; if [ "$?" != 0 ]; then true; else false; fi
+T2636:
+ '$(TEST_HC)' $(TEST_HC_OPTS) -ignore-dot-ghci -e ":main" T2636.hs; if [ "$?" != 0 ]; then true; else false; fi
-3890:
- '$(TEST_HC)' $(TEST_HC_OPTS) -ignore-dot-ghci -e ":main" 3890.hs | cat
+T3890:
+ '$(TEST_HC)' $(TEST_HC_OPTS) -ignore-dot-ghci -e ":main" T3890.hs | cat
T7299:
'$(TEST_HC)' $(TEST_HC_OPTS) -ignore-dot-ghci -e "Control.Concurrent.threadDelay (1000 * 1000)"
diff --git a/tests/ghc-e/should_run/2228.hs b/tests/ghc-e/should_run/T2228.hs
similarity index 100%
rename from tests/ghc-e/should_run/2228.hs
rename to tests/ghc-e/should_run/T2228.hs
diff --git a/tests/ghc-e/should_run/2228.stdout b/tests/ghc-e/should_run/T2228.stdout
similarity index 100%
rename from tests/ghc-e/should_run/2228.stdout
rename to tests/ghc-e/should_run/T2228.stdout
diff --git a/tests/ghc-e/should_run/2636.hs b/tests/ghc-e/should_run/T2636.hs
similarity index 100%
rename from tests/ghc-e/should_run/2636.hs
rename to tests/ghc-e/should_run/T2636.hs
diff --git a/tests/ghc-e/should_run/2636.stderr b/tests/ghc-e/should_run/T2636.stderr
similarity index 87%
rename from tests/ghc-e/should_run/2636.stderr
rename to tests/ghc-e/should_run/T2636.stderr
index e69b54b..369890f 100644
--- a/tests/ghc-e/should_run/2636.stderr
+++ b/tests/ghc-e/should_run/T2636.stderr
@@ -1,4 +1,4 @@
-2636.hs:1:8:
+T2636.hs:1:8:
Could not find module `MissingModule'
Use -v to see a list of the files searched for.
diff --git a/tests/ghc-e/should_run/3890.hs b/tests/ghc-e/should_run/T3890.hs
similarity index 100%
rename from tests/ghc-e/should_run/3890.hs
rename to tests/ghc-e/should_run/T3890.hs
diff --git a/tests/ghc-e/should_run/3890.stdout b/tests/ghc-e/should_run/T3890.stdout
similarity index 100%
rename from tests/ghc-e/should_run/3890.stdout
rename to tests/ghc-e/should_run/T3890.stdout
diff --git a/tests/ghc-e/should_run/all.T b/tests/ghc-e/should_run/all.T
index e5a2529..da14b70 100644
--- a/tests/ghc-e/should_run/all.T
+++ b/tests/ghc-e/should_run/all.T
@@ -7,10 +7,10 @@ test('ghc-e003', req_interp, run_command, ['$MAKE --no-print-directory -s ghc-e0
test('ghc-e004', req_interp, run_command, ['$MAKE --no-print-directory -s ghc-e004'])
test('ghc-e005', req_interp, run_command, ['$MAKE --no-print-directory -s ghc-e005'])
-test('2228',
+test('T2228',
[req_interp, if_ghci_dynamic(expect_broken(7298))],
run_command,
- ['$MAKE --no-print-directory -s 2228'])
-test('2636', req_interp, run_command, ['$MAKE --no-print-directory -s 2636'])
-test('3890', req_interp, run_command, ['$MAKE --no-print-directory -s 3890'])
+ ['$MAKE --no-print-directory -s T2228'])
+test('T2636', req_interp, run_command, ['$MAKE --no-print-directory -s T2636'])
+test('T3890', req_interp, run_command, ['$MAKE --no-print-directory -s T3890'])
test('T7299', req_interp, run_command, ['$MAKE --no-print-directory -s T7299'])
More information about the ghc-commits
mailing list